<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Contact extends CI_Controller {

	public function __construct() {
		parent::__construct();
		// Cargar la librería form_validation de CodeIgniter
		$this->load->library('form_validation');
	}

	public function send() {
		// Validar los datos del formulario
		$this->form_validation->set_rules('email', 'Email', 'required|valid_email');
		$this->form_validation->set_rules('subject', 'Subject', 'required');
		$this->form_validation->set_rules('message', 'Message', 'required');
		// Honeypot field, should be empty
		$this->form_validation->set_rules('website', 'Website', '');

		if ($this->form_validation->run() == FALSE) {
			// Si la validación falla, redirige de vuelta al formulario
			$this->session->set_flashdata('error', validation_errors());
			redirect(base_url('#section4'));
		} else {
			// Verificar honeypot (debe estar vacío)
			if (!empty($this->input->post('website'))) {
				$this->session->set_flashdata('error', 'Spam detected.');
				redirect(base_url('#section4'));
			}

			// Recoger los datos del formulario
			$email = $this->input->post('email');
			$subject = $this->input->post('subject');
			$message = $this->input->post('message');

			// Configurar los encabezados del correo
			$to = "contact@loginbasicoemo.com";
			$headers = "From: $email" . "\r\n" .
			"Reply-To: $email" . "\r\n" .
			"X-Mailer: PHP/" . phpversion();

			// Enviar el correo utilizando la función mail()
			if (mail($to, $subject, $message, $headers)) {
				$this->session->set_flashdata('success', 'Your message has been sent successfully.');
			} else {
				$this->session->set_flashdata('error', 'Failed to send your message. Please try again later.');
			}

			// Redirigir de vuelta al formulario
			redirect(base_url('#section4'));
		}
	}
}
