<?php

/**
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|L|o|g|i|n|b|a|s|i|c|o|E|m|o| Pro!
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
 * @Author: emo
 * @Email: ipademofdz@gmail.com
 * @Date:   2024-08-13 09:56:24
 * @Last Modified by:   emo
 * @Last Modified time: 2024-08-22 17:56:12
 * @website: https://loginbasicoemo.com
 *
 *
 * Licensed under the MIT License.
 * You may obtain a copy of the license at
 * https://opensource.org/licenses/MIT
 *
 */
defined('BASEPATH') or exit('No direct script access allowed');

class Videos extends CI_Controller {
	private $user, $menu, $subMenu;

	public function __construct() {

		parent::__construct();
		is_logged_in();

		// Obtener los datos del usuario desde la sesión
		$this->user = $this->session->userdata();

		// Verificar si los datos del usuario están disponibles
		if (empty($this->user)) {
			redirect('auth'); // Redirige al login si no hay datos de usuario
		}

		// Obtener el email del usuario
		$email = $this->user['email'];
		$this->load->model('User_model');

		// Obtener el idioma del usuario desde la base de datos

		$default_language = $this->User_model->get_user_language($email);

		$friendly_language = $default_language;

		// Mapeo de nombres amigables a códigos de idioma estándar
		$this->load->config('language');
		$language_directory = $this->config->item('language_directory');
		$language_directory_name = $this->config->item('language_directory_name');

		// Obtener el nombre del directorio para el idioma
		$language_directory_name_value = isset($language_directory_name[$friendly_language]) ? $language_directory_name[$friendly_language] : 'english';

		// Determinar el código de idioma
		$this->lang_code = isset($language_directory[$friendly_language]) ? $language_directory[$friendly_language] : 'en';

		// Cargar el archivo de idioma desde el directorio correcto
		$this->lang->load('aplicacion_lang', $language_directory_name_value);

		$this->load->model('Config_model');

		//$this->load->helper('url');

		//$this->load->library('grocery_CRUD');
		//$this->load->library('table'); // Cargar la librería Table de CodeIgniter

		$this->user = $this->User_model->getUser($this->session->userdata('email'));
		$this->menu = $this->User_model->getSideMenu($this->session->userdata('role_id'));
		$this->subMenu = $this->User_model->getSideSubMenu($this->menu);
		$this->load->model('Seo_model'); // Cargar el modelo SEO
		$this->data['seo'] = $this->Seo_model->get_seo_settings(); // Obtener configuraciones SEO

		// Verificar si la clase Form_validation ya está cargada
		//if (!isset($this->form_validation)) {
		//	$this->load->library('form_validation');
		//}

	}

	public function actualizar_ultima_actividad() {
		$email = $this->session->userdata('email'); // Obtener el email del usuario desde la sesión

		// Llamar al método del modelo para actualizar la última actividad
		$this->User_model->updateLastActivity($email);
	}

	/**
	 * Docs index
	 */
	public function videos() {
		$this->actualizar_ultima_actividad();

		// Array de URLs de videos de YouTube
		$data['videos'] = [
			[
				'url' => 'https://www.youtube.com/embed/w4ONaSu-pGk?si=lt2AVwdJSRpeACWB',
				'title' => 'Video 1: Quick Tour',
			],
			[
				'url' => 'https://www.youtube.com/embed/omJnipvij-g?si=RrlA_AFQRscR1E2t',
				'title' => 'Video 2: Role-Redirection',
			],
			[
				'url' => 'https://www.youtube.com/embed/Stjyg0Of6No?si=fwtjWMF80fPayPiE',
				'title' => 'Video 3: Example 1',
			],
		];

		$data['title'] = 'Videos';
		$data['user'] = $this->user;
		$data['menu'] = $this->menu;
		$data['subMenu'] = $this->subMenu;
		$data['lang'] = $this->lang->language; // Pasar el array de idioma a la vista
		$data['lang_code'] = $this->lang_code; // Código del idioma

		// Verificar el estado de la configuración 'activar-menu-lateral'
		$config_value = $this->Config_model->get_config_value('activar_menu_lateral');
		$activar = isset($config_value['value']) ? intval($config_value['value']) : 0;

		// Verificar si el valor de $activar es igual a 1 para activar el sidebar
		if ($activar === 1) {
			$this->load->view('templates/header', $data);
			$this->load->view('templates/sidebar', $data);
			$this->load->view('templates/topbar', $data);
			$this->load->view('videos/videos', $data);
			$this->load->view('templates/footer');
		} else {
			$this->load->view('templates/header', $data);
			$this->load->view('templates/topbar', $data);
			$this->load->view('videos/videos', $data);
			$this->load->view('templates/footer');
		}
	}

}
