<?php

// str_contains hanya berfungsi di php8, untuk php7 bisa diganti menjadi str_pos arau preg_match. Detail ada pada README
//funcion original
/*function is_logged_in()
{
    $ci = get_instance();
    $menu = $ci->uri->segment(1);
    $subMenu = $ci->uri->segment(2);
    if (!is_null($subMenu)) {
        // Untuk membantu pengecekan pada database di variable is_active
        $subMenu = '/' . $subMenu;
    }

    // Jika belum login
    if (!$ci->session->userdata('email')) {
        // dan jika user mengakses halaman selain login dan registration
        if (!str_contains($menu, 'auth')) {
            redirect('auth');
            die();
        }
        // Jika sudah login
    } else {
        $role_id = $ci->session->userdata('role_id');

        // dan jika user malah mengakses halaman login atau registration maka diredirect sesuai role id
        if (str_contains($menu, 'auth') || is_null($menu)) {
            switch ($role_id) {
                case 1:
                    redirect('admin');
                    die();
                    break;

                case 2:
                    redirect('user');
                    die();
                    break;
            }
        }

        $ci->load->model('Menu_model');
        $is_active = $ci->Menu_model->getSubMenuIsActive($menu . $subMenu);
        $menu_id = $ci->Menu_model->getMenu($menu)['id'];
        $userAccess = $ci->Menu_model->userAccess($role_id, $menu_id);

        // Jika user mengakses menu yang dinonaktifkan atau Jika user mengakses menu yang seharusnya tidak boleh
        if ($is_active == 0 || $userAccess->num_rows() < 1) {
            redirect('auth/blocked');
            die();
        }
    }
}*/

//otra version
/*function is_logged_in()
{
    $ci = get_instance();
    $menu = $ci->uri->segment(1);
    $subMenu = $ci->uri->segment(2);
    if (!is_null($subMenu)) {
        // Untuk membantu pengecekan pada database di variable is_active
        $subMenu = '/' . $subMenu;
    }

    // Jika belum login
    if (!$ci->session->userdata('email')) {
        // dan jika user mengakses halaman selain login dan registration
        if ($menu !== false && strpos($menu, 'auth') === false) {
            redirect('auth');
            die();
        }
        // Jika sudah login
    } else {
        $role_id = $ci->session->userdata('role_id');

        // dan jika user malah mengakses halaman login atau registration maka diredirect sesuai role id
        if ($menu !== false && strpos($menu, 'auth') !== false) {
            switch ($role_id) {
                case 1:
                    redirect('admin');
                    die();
                    break;

                case 2:
                    redirect('user');
                    die();
                    break;
            }
        }

        $ci->load->model('Menu_model');
        $is_active = $ci->Menu_model->getSubMenuIsActive($menu . $subMenu);
        $menu_id = $ci->Menu_model->getMenu($menu)['id'];
        $userAccess = $ci->Menu_model->userAccess($role_id, $menu_id);

        // Jika user mengakses menu yang dinonaktifkan atau Jika user mengakses menu yang seharusnya tidak boleh
        if ($is_active == 0 || $userAccess->num_rows() < 1) {
            redirect('auth/blocked');
            die();
        }
    }
}*/

function is_logged_in()
{
    $ci = get_instance();
    $menu = $ci->uri->segment(1);
    $subMenu = $ci->uri->segment(2);

    // Check if $subMenu is not null and prepare for database check in is_active variable
    if (!is_null($subMenu)) {
        $subMenu = '/' . $subMenu;
    }

    // If not logged in
    if (!$ci->session->userdata('email')) {
        // and if user accesses pages other than login and registration
        if (!is_null($menu) && !str_contains($menu, 'auth')) {
            redirect('auth');
            die();
        }
    } else {
        $role_id = $ci->session->userdata('role_id');

        // and if user accesses login or registration pages, redirect based on role id
        if (!is_null($menu) && (str_contains($menu, 'auth') || is_null($menu))) {
            switch ($role_id) {
                case 1:
                    redirect('admin');
                    die();
                    break;
                case 2:
                    redirect('user');
                    die();
                    break;
            }
        }

        $ci->load->model('Menu_model');
        $is_active = $ci->Menu_model->getSubMenuIsActive($menu . $subMenu);
        //$menu_id = $ci->Menu_model->getMenu($menu)['id'];

$menu_data = $ci->Menu_model->getMenu($menu);
if (!empty($menu_data)) {
    $menu_id = $menu_data['id'];
} else {
    // Manejar caso donde no se encontró ningún menú
    $menu_id = null;
}




        $userAccess = $ci->Menu_model->userAccess($role_id, $menu_id);

// Agrega mensajes de depuración
//echo '<script>console.log("Menu ID: ' . $menu_id . '");</script>';

//echo '<script>console.log("User Access: ' . $userAccess->num_rows() . '");</script>';



        // If user accesses a disabled menu or a menu they should not access
       // if ($is_active == 0 || $userAccess->num_rows() < 1) {
        if ($is_active == 0)  {
            redirect('auth/blocked');
            die();
        }
    }
}



/*function check_access($role_id, $menu_id)
{
    $ci = get_instance();

    $ci->load->model('User_model');
    $result = $ci->User_model->accessMenu($role_id, $menu_id);

    if ($result->num_rows() > 0) {
        return 'checked';
    }
}
*/

function check_access($role_id, $menu_id)
{
    $ci = get_instance();

    $ci->load->model('User_model');
    $result = $ci->User_model->accessMenu($role_id, $menu_id);

    if ($result->num_rows() > 0) {
        return 'checked';
    } else {
        return '';
    }
}
