<?php

/**
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|L|o|g|i|n|b|a|s|i|c|o|E|m|o| Pro!
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
 * @Author: emo
 * @Email: ipademofdz@gmail.com
 * @Date:   2024-07-22 12:34:56
 * @Last Modified by:   emo
 * @Last Modified time: 2024-08-11 14:25:42
 * @website: https://loginbasicoemo.com
 *
 *
 * Licensed under the MIT License.
 * You may obtain a copy of the license at
 * https://opensource.org/licenses/MIT
 *
 */

defined('BASEPATH') OR exit('No direct script access allowed');

class Crud_model extends CI_Model {

	public function __construct() {
		parent::__construct();
		$this->load->database();
	}

	/**
	 * Gets all users 1.
	 *
	 * @return     <type>  All users 1.
	 */
	public function get_all_users1() {
		$this->db->select('id, name, email, image, password, role_id, is_active, date_created, ultimo_acceso,ultima_actividad, session_count, ip, tipo_dispositivo, sistema, browser');
		$query = $this->db->get('user');
		return $query->result_array();
	}

	// Obtener un usuario por ID

	/**
	 * Gets the user by identifier.
	 *
	 * @param      <type>  $id     The identifier
	 *
	 * @return     <type>  The user by identifier.
	 */
	public function get_user_by_id($id) {
		$query = $this->db->get_where('user', array('id' => $id));
		return $query->row_array();
	}

	// Crear un nuevo usuario

	/**
	 * Inser user
	 *
	 * @param      <type>  $data   The data
	 *
	 * @return     <type>  ( description_of_the_return_value )
	 */
	public function insert_user($data) {
		return $this->db->insert('user', $data);
	}

	// Actualizar un usuario existente

	/**
	 * Update user
	 *
	 * @param      <type>  $id     The identifier
	 * @param      <type>  $data   The data
	 *
	 * @return     <type>  ( description_of_the_return_value )
	 */
	public function update_user($id, $data) {
		$this->db->where('id', $id);
		return $this->db->update('user', $data);
	}

	// Eliminar un usuario

	/**
	 * delete user
	 *
	 * @param      int   $id     The identifier
	 *
	 * @return     bool  ( description_of_the_return_value )
	 */
	public function delete_user($id) {
		// Verificar si el ID es 15 o 20
		if ($id == 15 || $id == 20) {
			// Retornar falso indicando que no se permite la eliminación
			return false;
		}

		// Continuar con la eliminación si el ID no es 15 ni 20
		$this->db->where('id', $id);
		return $this->db->delete('user');
	}

	/**
	 * Gets all users.
	 *
	 * @param      <type>  $limit   The limit
	 * @param      <type>  $offset  The offset
	 *
	 * @return     <type>  All users.
	 */
	public function get_all_users($limit, $offset) {
		$this->db->limit($limit, $offset);
		$query = $this->db->get('user');
		return $query->result_array();
	}

	/**
	 * Counts the number of all users.
	 *
	 * @return     <type>  Number of all users.
	 */
	public function count_all_users() {
		return $this->db->count_all('user');
	}

	/**
	 * Gets all roles.
	 *
	 * @return     <type>  All roles.
	 */
	public function get_all_roles() {
		$this->db->select('id, role');
		$query = $this->db->get('user_role');
		return $query->result_array();
	}

}