

    <style>
        .form-group {
            display: flex;
            align-items: center;
            margin-bottom: 1rem;
        }
        .form-group label {
            flex: 1;
            margin-right: 1rem;
            font-weight: bold;
        }
        .form-group input,
        .form-group select {
            flex: 2;
        }
    </style>


<div id="general" class="container-fluid">
    <div class="row">
        <div class="col-lg-10">
            <div class="row">
                <div class="col-md-12 mb-4">
                    <div class="card border-0 shadow-sm h-100">
                        <div class="card-body">
                            <h2>
                                <?php if (isset($user)): ?>
                                    <i class="fas fa-user-edit"></i> <?php echo $lang['edit_user']; ?>
                                <?php else: ?>
                                    <i class="fas fa-user-plus"></i> <?php echo $lang['create_user']; ?>
                                <?php endif;?>
                            </h2>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <form action="<?php echo isset($user) ? site_url('crud/update/' . $user['id']) : site_url('crud/store'); ?>" method="post">
        <!-- CSRF token -->
        <input type="hidden" name="<?=$this->security->get_csrf_token_name();?>" value="<?=$this->security->get_csrf_hash();?>" />

        <div class="form-group">
            <label for="name"><i class="fas fa-user"></i> <?=$lang['name'];?></label>
            <input type="text" name="name" class="form-control" value="<?php echo isset($user) ? $user['name'] : ''; ?>" required>
        </div>
        <div class="form-group">
            <label for="email"><i class="fas fa-envelope"></i> <?=$lang['email'];?></label>
            <input type="email" name="email" class="form-control" value="<?php echo isset($user) ? $user['email'] : ''; ?>" required>
        </div>
        <div class="form-group">
            <label for="image"><i class="fas fa-image"></i> <?=$lang['image'];?></label>
            <input type="text" name="image" class="form-control" value="<?php echo isset($user) ? htmlspecialchars($user['image'], ENT_QUOTES, 'UTF-8') : 'default.jpg'; ?>">
        </div>

        <?php if (!isset($user) || (isset($user) && empty($user['password']))): ?>
        <!-- Show password field only if creating a user or if editing and password is empty -->
        <div class="form-group">
            <label for="password"><i class="fas fa-lock"></i> <?=$lang['password'];?></label>
            <input type="password" name="password" class="form-control" value="">
        </div>
        <?php endif;?>

        <div class="form-group">
            <label for="role_id"><i class="fas fa-user-tag"></i> <?=$lang['role'];?></label>
            <select name="role_id" class="form-control">
                <?php foreach ($roles as $role): ?>
                    <option value="<?php echo $role['id']; ?>" <?php echo isset($user) && $user['role_id'] == $role['id'] ? 'selected' : ''; ?>><?php echo $role['role']; ?></option>
                <?php endforeach;?>
            </select>
        </div>
        <div class="form-group">
            <label for="is_active"><i class="fas fa-toggle-on"></i> <?=$lang['active'];?></label>
            <select name="is_active" class="form-control">
                <option value="1" <?php echo isset($user) && $user['is_active'] == 1 ? 'selected' : ''; ?>><?=$lang['yes'];?></option>
                <option value="0" <?php echo isset($user) && $user['is_active'] == 0 ? 'selected' : ''; ?>><?=$lang['no'];?></option>
            </select>
        </div>
        <div class="form-group">
            <label for="language"><i class="fas fa-globe"></i> <?=$lang['Language:'];?></label>
            <select name="language" class="form-control">
                <?php foreach ($language_directory as $friendly_name => $lang_code): ?>
                    <option value="<?=$friendly_name;?>" <?=isset($user) && $user['language'] == $friendly_name ? 'selected' : '';?>>
                        <?=ucfirst($friendly_name);?>
                    </option>
                <?php endforeach;?>
            </select>
        </div>
        <button type="submit" class="btn btn-primary"><?php echo isset($user) ? $lang['update'] : $lang['create']; ?></button>
        <a href="<?php echo site_url('crud'); ?>" class="btn btn-secondary"><?=$lang['back_to_list'];?></a>
    </form>

</div>

