


    <style>
        /* Custom styles */
        .table-responsive {
            overflow-x: auto; /* Scroll horizontal en tablas responsivas */
        }
    </style>

<div id="general" class="container-fluid">
    <div class="row">
        <div class="col-lg-12">
            <div class="row">
                <div class="col-md-12 mb-4">
                    <div class="card border-0 shadow-sm h-100">
                        <div class="card-body">
                            <h2 class="card-title text-primary"><i class="fas fa-fw fa-users"></i> <?=$title;?></h2>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row mt-3">
        <div class="col">
            <div class="d-flex justify-content-start align-items-center">
                <a href="<?php echo site_url('crud/create'); ?>" class="btn btn-primary mb-3 mr-2"><i class="fas fa-plus-circle"></i> <?=$lang['create_user'];?></a>
                <a href="<?php echo site_url('crud/export_csv'); ?>" class="btn btn-success mb-3 mr-2"><i class="fas fa-file-csv"></i> <?=$lang['export_csv'];?></a>
            </div>
        </div>
    </div>

    <div class="table-responsive">
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th><i class="fas fa-fw fa-user"></i> <?=$lang['name'];?></th>
                    <th><i class="fas fa-fw fa-envelope"></i> <?=$lang['email'];?></th>
                    <th><i class="fas fa-fw fa-user-tag"></i> <?=$lang['role'];?></th>
                    <th><i class="fas fa-fw fa-toggle-on"></i> <?=$lang['active'];?></th>
                    <th><i class="fas fa-fw fa-calendar"></i> <?=$lang['creation_date'];?></th>
                    <th><i class="fas fa-fw fa-history"></i> <?=$lang['last_access'];?></th>
                    <th><i class="fas fa-fw fa-cogs"></i> <?=$lang['actions'];?></th>
                </tr>
            </thead>
            <tbody>
                <?php if (!empty($users)): ?>
                    <?php foreach ($users as $user): ?>
                        <tr>
                            <td><?php echo $user['name']; ?></td>
                            <td><?php echo $user['email']; ?></td>
                            <td><?php echo $user['role_id']; ?></td>
                            <td><?php echo $user['is_active'] ? $lang['yes'] : $lang['no']; ?></td>
                            <td><?php echo date('d-m-Y H:i:s', strtotime($user['date_created'])); ?></td>
                            <td><?php echo date('d-m-Y H:i:s', strtotime($user['ultimo_acceso'])); ?></td>
                            <td>
                                <a href="<?php echo site_url('crud/edit/' . $user['id']); ?>" class="btn btn-primary btn-sm"><i class="fas fa-edit"></i> <?=$lang['edit'];?></a>
                                <a href="<?php echo site_url('crud/delete/' . $user['id']); ?>" class="btn btn-danger btn-sm" onclick="return confirm('<?=$lang['confirm_delete'];?>')"><i class="fas fa-trash-alt"></i> <?=$lang['delete'];?></a>
                            </td>
                        </tr>
                    <?php endforeach;?>
                <?php else: ?>
                    <tr>
                        <td colspan="7"><?=$lang['no_users'];?></td>
                    </tr>
                <?php endif;?>
            </tbody>
        </table>
    </div>

    <div class="pagination-links">
        <?php echo $pagination; ?>
    </div>
</div>


