<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?= $lang['list_title']; ?></title>
    <!-- <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"> -->
</head>
<body>

<style type="text/css">
.pagination {
    margin-top: 20px;
}
.pagination .page-item {
    margin-right: 5px;
}
</style>

<div class="container-fluid">
    <h1 class="h3 mb-4 text-gray-800"><?= $title; ?></h1>

    <div class="row mt-3">
        <div class="col">
            <div class="d-flex justify-content-start align-items-center">
                <a href="<?php echo site_url('crud/create'); ?>" class="btn btn-primary mb-3 mr-2"><?= $lang['create_user']; ?></a>
                <a href="<?php echo site_url('crud/export_csv'); ?>" class="btn btn-success mb-3 mr-2"><?= $lang['export_csv']; ?></a>
                <!-- <a href="<?php echo site_url('admin'); ?>" class="btn btn-secondary mb-3 mr-2">Volver a Panel de Control</a> -->
            </div>
        </div>
    </div>

    <table class="table table-bordered">
        <thead>
            <tr>
                <!-- <th>ID</th> -->
                <th><?= $lang['name']; ?></th>
                <th><?= $lang['email']; ?></th>
                <!-- <th>Imagen</th> -->
                <th><?= $lang['role']; ?></th>
                <th><?= $lang['active']; ?></th>
                <th><?= $lang['creation_date']; ?></th>
                <th><?= $lang['last_access']; ?></th>
                <th><?= $lang['actions']; ?></th>
            </tr>
        </thead>
        <tbody>
            <?php if(!empty($users)): ?>
                <?php foreach($users as $user): ?>
                    <tr>
                        <!-- <td><?php echo $user['id']; ?></td> -->
                        <td><?php echo $user['name']; ?></td>
                        <td><?php echo $user['email']; ?></td>
                        <!-- <td><?php echo $user['image']; ?></td> -->
                        <td><?php echo $user['role_id']; ?></td>
                        <td><?php echo $user['is_active'] ? $lang['yes'] : $lang['no']; ?></td>
                        <!-- Configuración de la zona horaria del usuario para mostrar su fecha de creación -->
                        <?php
                        date_default_timezone_set($user['timezone']);
                        ?>
                        <td><?php echo date('d-m-Y H:i:s', strtotime($user['date_created'])); ?></td>
                        
                        <!-- Configuración de la zona horaria del usuario para mostrar su último acceso -->
                        <td><?php echo date('d-m-Y H:i:s', strtotime($user['ultimo_acceso'])); ?></td>
                        <td>
                            <a href="<?php echo site_url('crud/edit/'.$user['id']); ?>" class="badge badge-primary"><?= $lang['edit']; ?></a>
                            <a href="<?php echo site_url('crud/delete/'.$user['id']); ?>" class="badge badge-danger" onclick="return confirm('<?= $lang['confirm_delete']; ?>')"><?= $lang['delete']; ?></a>
                        </td>
                    </tr>
                <?php endforeach; ?>
            <?php else: ?>
                <tr>
                    <td colspan="8"><?= $lang['no_users']; ?></td>
                </tr>
            <?php endif; ?>
        </tbody>
    </table>

    <div class="pagination-links">
        <?php echo $pagination; ?>
    </div>
</div>

</body>
</html>
