
    <style>
        .alert {
            margin-top: 20px;
            padding: 15px;
            border-radius: 4px;
        }
        .alert-success {
            background-color: #d4edda;
            border-color: #c3e6cb;
            color: #155724;
        }
        .alert-danger {
            background-color: #f8d7da;
            border-color: #f5c6cb;
            color: #721c24;
        }
        .table {
            width: 100%;
            max-width: 100%;
            margin-bottom: 1rem;
            background-color: transparent;
            border-collapse: collapse;
        }
        .table th,
        .table td {
            padding: 0.75rem;
            vertical-align: top;
            border: 1px solid #dee2e6;
        }
        .table thead th {
            vertical-align: bottom;
            border-bottom: 2px solid #dee2e6;
            text-align: center;
            background-color: rgba(255, 255, 255, 0.5);
            font-size: 14px;
        }
        .table tbody td {
            color: #333;
            font-size: 14px;
        }
        .table tbody tr:nth-of-type(odd) {
            background-color: rgba(255, 255, 255, 0.05);
        }
        .table-responsive {
            display: block;
            width: 100%;
            overflow-x: auto;
            -webkit-overflow-scrolling: touch;
            -ms-overflow-style: -ms-autohiding-scrollbar;
        }
        .table tbody tr:hover {
            background-color: #cce5ff;
            cursor: pointer;
        }
        @media (max-width: 767.98px) {
            .table-responsive {
                border: 0;
            }
        }
    </style>

    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-12">
                <div class="row">
                    <div class="col-md-12 mb-4">
                        <div class="card border-0 shadow-sm h-100">
                            <div class="card-body">
                                <h2 class="card-title text-primary"><i class="fas fa-fw fa-key"></i> <?=$lang['generate_api_key_title'];?></h2>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <?php if (isset($message)): ?>
            <div id="message" class="alert alert-success">
                <?=$message;?>
            </div>
        <?php endif;?>

        <?php if (isset($error)): ?>
            <div id="error" class="alert alert-danger">
                <?=$error;?>
            </div>
        <?php endif;?>

        <?=form_open('admin/generate_key_post');?>

        <div class="form-group col-md-4">
            <label for="user_id"><?=$lang['select_user'];?></label>
            <select class="form-control" id="user_id" name="user_id" required>
                <?php if (!empty($users)): ?>
                    <?php foreach ($users as $user): ?>
                        <option value="<?=$user['id'];?>"><?=$user['name'];?></option>
                    <?php endforeach;?>
                <?php else: ?>
                    <option value=""><?=$lang['no_users_available'];?></option>
                <?php endif;?>
            </select>
            <br>
            <button type="submit" class="btn btn-primary"><?=$lang['generate_api_key_button'];?></button>
        </div>

        <?=form_close();?>

        <!-- Tabla para mostrar las claves API -->
        <div id="keys_table">
            <h3><?=$lang['api_keys_generated'];?></h3>
            <table class="table table-responsive">
                <thead>
                    <tr>
                        <th><?=$lang['api_key_id'];?></th>
                        <th><?=$lang['api_key'];?></th>
                        <th><?=$lang['user'];?></th>
                        <th><?=$lang['actions'];?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php if (!empty($api_keys)): ?>
                        <?php foreach ($api_keys as $key): ?>
                            <tr>
                                <td><?=$key['id'];?></td>
                                <td><?=$key['key'];?></td>
                                <td><?=$key['user_name'];?></td>
                                <td>
                                    <button class="btn btn-danger btn-sm" onclick="deleteKey(<?=$key['id'];?>)">
                                        <i class="fas fa-trash-alt"></i>
                                    </button>
                                </td>
                            </tr>
                        <?php endforeach;?>
                    <?php else: ?>
                        <tr>
                            <td colspan="4"><?=$lang['no_api_keys_available'];?></td>
                        </tr>
                    <?php endif;?>
                </tbody>
            </table>
        </div>

        <script type="text/javascript">
            function deleteKey(keyId) {
                Swal.fire({
                    title: '<?=$lang['confirm_delete_api_key'];?>',
                    text: '<?=$lang['cannot_undo'];?>',
                    icon: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#3085d6',
                    cancelButtonColor: '#d33',
                    confirmButtonText: '<?=$lang['yes_delete'];?>'
                }).then((result) => {
                    if (result.isConfirmed) {
                        var baseUrl = '<?=base_url();?>';
                        window.location.href = baseUrl + 'admin/delete_key/' + keyId;
                    }
                })
            }

            // Ocultar el mensaje de flash data después de 3 segundos
            setTimeout(function() {
                var message = document.getElementById('message');
                if (message) {
                    message.style.display = 'none';
                }
                var error = document.getElementById('error');
                if (error) {
                    error.style.display = 'none';
                }
            }, 3000);
        </script>
    </div>

