<!-- Begin Page Content -->
<div id="general" class="container-fluid">
    <div class="row">
        <div class="col-lg-12"> <!-- Ajuste de col-lg-10 a col-lg-12 para mayor ancho -->
            <div class="row">
                <div class="col-md-12 mb-4">
                    <div class="card border-0 shadow-sm h-100">
                        <div class="card-body">
                            <h2 class="card-title text-primary"><i class="fas fa-fw fa-user-tie"></i> <?= $title; ?></h2>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-12"> <!-- Ajuste de col-lg-6 a col-lg-12 para mayor ancho -->

            <?php foreach ($this->session->flashdata() as $key => $val) : ?>
                <div class="alert <?= $key; ?>" role="alert">
                    <?= $val; ?>
                </div>
            <?php endforeach; ?>

            <?php if (validation_errors()) : ?>
                <div class="alert alert-danger" role="alert">
                    <?= validation_errors(); ?>
                </div>
            <?php endif; ?>

            <a href="" class="btn btn-primary mb-3 float-right" data-toggle="modal" data-target="#newRoleModal">
                <i class="fas fa-plus"></i> <?= $lang['Add_New_Role']; ?>
            </a>

            <table class="table table-hover table-striped">
                <thead class="thead-primary">
                    <tr>
                        <th scope="col" style="width: 5%;"><i class="fas fa-hashtag"></i></th>
                        <th scope="col" style="width: 25%;"><i class="fas fa-user-tag"></i> <?= $lang['Role']; ?></th>
                        <th scope="col" style="width: 40%;"><i class="fas fa-external-link-alt"></i> <?= $lang['Redirection']; ?></th>
                        <th scope="col" style="width: 30%;"><i class="fas fa-cogs"></i> <?= $lang['Action']; ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php $i = 1;
                    foreach ($roles as $role) : ?>
                        <tr>
                            <th scope="row"><?= $i++; ?></th>
                            <td class="text-capitalize"><?= $role['role']; ?></td>
                            <td><?= $role['redirection']; ?></td>
                            <td>
                                <a href="<?= base_url('admin/roleAccess/') . $role['id']; ?>" class="btn btn-warning btn-sm">
                                    <i class="fas fa-lock"></i> <?= $lang['Access']; ?>
                                </a>
                                <a href="<?= base_url('admin/editRole/') . $role['id']; ?>" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#editRoleModal" data-role-id="<?= $role['id']; ?>">
                                    <i class="fas fa-edit"></i> <?= $lang['Edit']; ?>
                                </a>
                                <a href="<?= base_url('admin/deleteRole/') . $role['id']; ?>" class="btn btn-danger btn-sm">
                                    <i class="fas fa-trash"></i> <?= $lang['Delete']; ?>
                                </a>
                            </td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
    </div>
</div>
<!-- /.container-fluid -->

<!-- Modal para editar roles -->
<div class="modal fade" id="editRoleModal" tabindex="-1" aria-labelledby="editRoleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="editRoleModalLabel"><i class="fas fa-edit"></i> <?= $lang['Edit Role']; ?></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="editRoleForm" action="<?= base_url('admin/editRole'); ?>" method="POST">
                    <!-- Campo oculto para el token CSRF -->                
                    <input type="hidden" name="<?= $this->security->get_csrf_token_name(); ?>" value="<?= $this->security->get_csrf_hash(); ?>" />                    
                    <input type="hidden" id="edit_role_id" name="id" value="">
                    <div class="form-group">
                        <label for="edit_role_name"><?= $lang['Role_Name']; ?></label>
                        <input type="text" class="form-control" id="edit_role_name" name="role" value="" required>
                    </div>
                    <div class="form-group">
                        <label for="edit_redirection"><?= $lang['Redirection']; ?></label>
                        <input type="text" class="form-control" id="edit_redirection" name="redirection" value="">
                    </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal"><?= $lang['Close']; ?></button>
                <button type="submit" class="btn btn-primary"><?= $lang['Save']; ?></button>
            </div>
            </form>
        </div>
    </div>
</div>

<!-- Modal para agregar nuevo rol -->
<div class="modal fade" id="newRoleModal" tabindex="-1" aria-labelledby="newRoleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="newRoleModalLabel"><i class="fas fa-plus"></i> <?= $lang['Add_New_Role']; ?></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url('admin/role'); ?>" method="POST">
                    <!-- Campo oculto para el token CSRF -->                
                    <input type="hidden" name="<?= $this->security->get_csrf_token_name(); ?>" value="<?= $this->security->get_csrf_hash(); ?>" />                    
                    <div class="form-group">
                        <label for="role"><?= $lang['Role_Name']; ?></label>
                        <input type="text" class="form-control" id="role" name="role" required>
                    </div>
                    <div class="form-group">
                        <label for="redirection">Redireccion</label>
                        <input type="text" class="form-control" id="redirection" name="redirection">
                    </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal"><?= $lang['Close']; ?></button>
                <button type="submit" class="btn btn-primary"><?= $lang['Add']; ?></button>
            </div>
            </form>
        </div>
    </div>
</div>
<script src="<?= base_url('assets/'); ?>vendor/jquery/jquery.min.js"></script>
<script>
    $(document).ready(function() {
        $('#editRoleModal').on('show.bs.modal', function (event) {
            var button = $(event.relatedTarget); // Botón que activó el modal
            var roleId = button.data('role-id'); // Extrae la información del atributo data-role-id

            // Hacer una solicitud AJAX para obtener los detalles del rol
            $.ajax({
                url: '<?= base_url('admin/getRole'); ?>',
                method: 'GET',
                data: { role_id: roleId },
                dataType: 'json',
                success: function(response) {
                    console.log(response); // Verifica que los datos se reciban correctamente
                    $('#edit_role_id').val(response.id);
                    $('#edit_role_name').val(response.role);
                    $('#edit_redirection').val(response.redirection);
                },
                error: function(xhr, status, error) {
                    console.error(error);
                }
            });
        });
    });
</script>
