    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-12">
                <div class="row">
                    <div class="col-md-12 mb-4">
                        <div class="card border-0 shadow-sm h-100">
                            <div class="card-body">
                                <h2 class="card-title text-primary"><i class="fas fa-search"></i> <?php echo $this->lang->line('edit_seo_settings'); ?></h2>

                                <?php echo form_open('admin/update_seo_settings'); ?>

                                <div class="form-group">
                                    <label for="title"><?php echo $this->lang->line('title'); ?></label>
                                    <input type="text" class="form-control" name="title" value="<?php echo set_value('title', $seo['title']); ?>">
                                </div>

                                <div class="form-group">
                                    <label for="description"><?php echo $this->lang->line('description'); ?></label>
                                    <input type="text" class="form-control" name="description" value="<?php echo set_value('description', $seo['description']); ?>">
                                </div>

                                <div class="form-group">
                                    <label for="keywords"><?php echo $this->lang->line('keywords'); ?></label>
                                    <input type="text" class="form-control" name="keywords" value="<?php echo set_value('keywords', $seo['keywords']); ?>">
                                </div>

                                <div class="form-group">
                                    <label for="author"><?php echo $this->lang->line('author'); ?></label>
                                    <input type="text" class="form-control" name="author" value="<?php echo set_value('author', $seo['author']); ?>">
                                </div>

                                <div class="form-group">
                                    <label for="og_title"><?php echo $this->lang->line('og_title'); ?></label>
                                    <input type="text" class="form-control" name="og_title" value="<?php echo set_value('og_title', $seo['og_title']); ?>">
                                </div>

                                <div class="form-group">
                                    <label for="og_description"><?php echo $this->lang->line('og_description'); ?></label>
                                    <input type="text" class="form-control" name="og_description" value="<?php echo set_value('og_description', $seo['og_description']); ?>">
                                </div>

                                <div class="form-group">
                                    <label for="og_image"><?php echo $this->lang->line('og_image'); ?></label>
                                    <input type="text" class="form-control" name="og_image" value="<?php echo set_value('og_image', $seo['og_image']); ?>">
                                </div>

                                <button type="submit" class="btn btn-primary"><?php echo $this->lang->line('save'); ?></button>

                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <script>
        document.addEventListener('DOMContentLoaded', function() {
            <?php if ($this->session->flashdata('success')): ?>
                Swal.fire({
                    icon: 'success',
                    title: '<?php echo $this->lang->line('success_message'); ?>',
                    text: '<?php echo $this->session->flashdata('success'); ?>',
                });
            <?php endif;?>
            <?php if ($this->session->flashdata('error')): ?>
                Swal.fire({
                    icon: 'error',
                    title: '<?php echo $this->lang->line('error_message'); ?>',
                    text: '<?php echo $this->session->flashdata('error'); ?>',
                });
            <?php endif;?>
        });
    </script>