      <style>
        .custom-select, .custom-file-input {
            margin-left: 10px;
        }
        .custom-file-label::after {
            content: "Browse";
        }
        .progress-bar {
            transition: width 0.6s ease;
        }
    </style>


    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-10">
                <div class="row">
                    <div class="col-md-12 mb-4">
                        <div class="card border-0 shadow-sm h-100">
                            <div class="card-body">
                                <h2 class="card-title text-primary"><i class="fas fa-cloud-upload-alt"></i> <?=$this->lang->line('upload_external_zip');?></h2>
                            </div>
                        </div>
                    </div>
                </div>

                <p><?=$this->lang->line('need_tool_first');?></p>
                <p><a href="<?=base_url('assets/tools/loginbasicemo_utility.exe')?>" class="btn btn-info" download><?=$this->lang->line('download_tool');?></a></p>

                <div id="messages"></div>

                <form id="uploadForm" enctype="multipart/form-data" class="col-md-6">
                    <input type="hidden" name="<?=$this->security->get_csrf_token_name();?>" value="<?=$this->security->get_csrf_hash();?>" />

                    <div class="form-group">
                        <label for="page" class="font-weight-bold"><?=$this->lang->line('select_page');?></label>
                        <select name="page" id="page" class="custom-select" style="width: auto;">
                            <?php for ($i = 1; $i <= 10; $i++): ?>
                                <option value="page<?=$i;?>">Page <?=$i;?></option>
                            <?php endfor;?>
                        </select>
                    </div>

                    <div class="form-group">
                        <label for="zipFile" class="font-weight-bold"><?=$this->lang->line('select_zip_file');?></label>
                        <div class="custom-file">
                            <input type="file" id="zipFile" name="zipFile" class="custom-file-input">
                            <label class="custom-file-label" for="zipFile">Choose file</label>
                        </div>
                    </div>

                    <button type="submit" class="btn btn-primary btn-block"><?=$this->lang->line('Upload');?></button>

                    <div class="progress mt-3" id="progress" style="display: none;">
                        <div class="progress-bar" id="progress-bar" role="progressbar" style="width: 0%;" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100">0%</div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <script>
        document.getElementById('uploadForm').addEventListener('submit', function(e) {
            e.preventDefault();

            let form = e.target;
            let formData = new FormData(form);

            let xhr = new XMLHttpRequest();
            xhr.open('POST', '<?php echo base_url('admin/upload_zip'); ?>', true);
            xhr.setRequestHeader('X-Requested-With', 'XMLHttpRequest'); // Para indicar que la solicitud es AJAX

            xhr.upload.addEventListener('progress', function(e) {
                if (e.lengthComputable) {
                    let percentComplete = (e.loaded / e.total) * 100;
                    let progressBar = document.getElementById('progress-bar');
                    progressBar.style.width = percentComplete + '%';
                    progressBar.textContent = Math.round(percentComplete) + '%';
                    document.getElementById('progress').style.display = 'block';
                }
            });

            xhr.onload = function() {
                if (xhr.status === 200) {
                    let responseText = xhr.responseText.trim(); // Eliminar espacios en blanco al inicio y al final

                    if (responseText.length > 0) {
                        try {
                            let response = JSON.parse(responseText);
                            let messageDiv = document.getElementById('messages');
                            let messageHtml = '<div class="alert ' + (response.status === 'success' ? 'alert-success' : 'alert-danger') + '">' + response.message + '</div>';
                            messageDiv.innerHTML = messageHtml;

                            // Ocultar el mensaje después de 3 segundos
                            setTimeout(function() {
                                messageDiv.innerHTML = '';
                            }, 3000); // 3000 milisegundos = 3 segundos
                        } catch (e) {
                            console.error('Error parsing JSON:', e);
                            document.getElementById('messages').innerHTML = '<div class="alert alert-danger">Error: Invalid server response.</div>';
                        }
                    } else {
                        console.error('Empty response received from server.');
                        document.getElementById('messages').innerHTML = '<div class="alert alert-danger">Error: Empty response from server.</div>';
                    }
                } else {
                    console.error('Request failed. Status:', xhr.status);
                    document.getElementById('messages').innerHTML = '<div class="alert alert-danger">Error: Failed to upload file.</div>';
                }

                document.getElementById('progress').style.display = 'none';
                document.getElementById('progress-bar').style.width = '0%';
                document.getElementById('progress-bar').textContent = '0%';
            };

            xhr.onerror = function() {
                console.error('Request error.');
                document.getElementById('messages').innerHTML = '<div class="alert alert-danger">An error occurred while uploading the file.</div>';
                document.getElementById('progress').style.display = 'none';
                document.getElementById('progress-bar').style.width = '0%';
                document.getElementById('progress-bar').textContent = '0%';
            };

            xhr.send(formData);
        });
    </script>