<?php
$config_keys = ['gradiente2', 'background_container', 'text_header', 'button_color', 'email_input', 'password_input', 'checkbox_text', 'posicion', 'forgot_create', 'animation_effect', 'texto_login', 'texto_email_placeholder', 'texto_password_placeholder', 'texto_terminos', 'texto_boton', 'texto_forgot', 'texto_crear_cuenta', 'css_placeholder', 'css_focus', 'css_general'];

$config = [];

foreach ($config_keys as $key) {
	$config[$key] = $this->Config_model->get_config_value($key);
}

// Asignar las configuraciones a variables
$activar_gradiente2 = isset($config['gradiente2']['value']) ? $config['gradiente2']['value'] : '';
$background_container = isset($config['background_container']['value']) ? $config['background_container']['value'] : '';
$text_header = isset($config['text_header']['value']) ? $config['text_header']['value'] : '';
$button_color = isset($config['button_color']['value']) ? $config['button_color']['value'] : '';

$email_input = isset($config['email_input']['value']) ? $config['email_input']['value'] : '';
$password_input = isset($config['password_input']['value']) ? $config['password_input']['value'] : '';
$checkbox_text = isset($config['checkbox_text']['value']) ? $config['checkbox_text']['value'] : '';
$posicion = isset($config['posicion']['value']) ? $config['posicion']['value'] : '';
$forgot_create = isset($config['forgot_create']['value']) ? $config['forgot_create']['value'] : '';

$animation_effect = isset($config['animation_effect']['value']) ? $config['animation_effect']['value'] : '';

$texto_login = isset($config['texto_login']['value']) ? $config['texto_login']['value'] : '';
$texto_email_placeholder = isset($config['texto_email_placeholder']['value']) ? $config['texto_email_placeholder']['value'] : '';
$texto_password_placeholder = isset($config['texto_password_placeholder']['value']) ? $config['texto_password_placeholder']['value'] : '';
$texto_terminos = isset($config['texto_terminos']['value']) ? $config['texto_terminos']['value'] : '';
$texto_boton = isset($config['texto_boton']['value']) ? $config['texto_boton']['value'] : '';
$texto_forgot = isset($config['texto_forgot']['value']) ? $config['texto_forgot']['value'] : '';
$texto_crear_cuenta = isset($config['texto_crear_cuenta']['value']) ? $config['texto_crear_cuenta']['value'] : '';

$css_placeholder = isset($config['css_placeholder']['value']) ? $config['css_placeholder']['value'] : '';

$css_focus = isset($config['css_focus']['value']) ? $config['css_focus']['value'] : '';
$css_general = isset($config['css_general']['value']) ? $config['css_general']['value'] : '';
?>



    <style>
        .custom-width {
            width: 100vw;
            max-width: 360px;
            min-width: 280px;

        }
        .custom-height {
            height: 90vh;
            max-height: 650px;
            min-height: 500px;

        }


        input::placeholder {
            <?php echo $css_placeholder; ?>
        }
        input:focus {
            <?php echo $css_focus; ?>
        }

        .eltitulo {
           /* color: whitesmoke; */
           /* font-weight: bold;*/
          /*  background-color: rgba(0,0,0,0.8);*/
        }



        <?php echo $css_general; ?>
    </style>

<div style="height: 100vh; <?php echo $posicion; ?>">
    <div class="custom-width custom-height d-flex align-items-center justify-content-center">
        <div class="animate__animated <?=isset($animation_effect) ? 'animate__' . $animation_effect : ''?>" style="<?php echo $background_container; ?>">
            <div class="text-center mb-4" style="<?php echo $text_header; ?>">
                <h1 class="eltitulo"><?php echo $this->lang->line('Forgot Password'); ?></h1>
            </div>

            <!-- Bloque de Alertas Globales -->
            <?php if (validation_errors() || $this->session->flashdata()): ?>
                <div class="alert alert-danger" role="alert">
                    <?php echo validation_errors(); ?>
                    <?php foreach ($this->session->flashdata() as $key => $val): ?>
                        <p><?=$val;?></p>
                    <?php endforeach;?>
                </div>
            <?php endif;?>

            <form class="user" method="post" action="<?=base_url('auth/forgotPassword');?>">
                <!-- Campo oculto para el token CSRF -->
                <input type="hidden" name="<?=$this->security->get_csrf_token_name();?>" value="<?=$this->security->get_csrf_hash();?>" />
                <div class="form-group">
                    <input style="<?php echo $email_input; ?>" type="text" class="form-control" id="email" placeholder="<?=$this->lang->line('Enter Email Address...');?>" name="email" value="<?=set_value('email');?>">
                </div>

                <div class="text-center">
                    <button type="submit" class="btn btn-primary btn-block" style="<?php echo $button_color; ?>">
                        <?=$this->lang->line('Reset');?>
                    </button>
                </div>
            </form>
            <br>
            <div id="dynamic-color" style="<?php echo $forgot_create; ?>">
                <div class="text-center">
                    <a class="small" href="<?=base_url('auth');?>"><?=$this->lang->line('Back to Login');?></a>
                </div>
            </div>
        </div>
    </div>
</div>







<!-- Carga de jQuery -->
<script src="<?=base_url('assets/');?>vendor/jquery/jquery.min.js"></script>
<script>
    $(document).ready(function() {
        $('.alert').alert().delay(3000).slideUp('slow');
    });
</script>

<!-- color dinamico para el forgot_create -->
<script>
    // Selecciona el contenedor
    const container = document.getElementById('dynamic-color');

    // Obtén el estilo computado del contenedor
    const computedStyle = window.getComputedStyle(container);

    // Obtén el color del contenedor
    const color = computedStyle.color;

    // Obtén el tamaño de la fuente del contenedor
    const fontSize = computedStyle.fontSize;

    // Obtén el peso de la fuente del contenedor
    const fontWeight = computedStyle.fontWeight;

    console.log('Color:', color);
    console.log('Tamaño de fuente:', fontSize);
    console.log('Peso de fuente:', fontWeight);

    // Aplica el color, tamaño de la fuente y peso de la fuente a todos los enlaces dentro del contenedor
    const links = container.getElementsByTagName('a');
    for (let link of links) {
        link.style.color = color;
        link.style.fontSize = fontSize;
        link.style.fontWeight = fontWeight;
    }
</script>

