<?php
defined('BASEPATH') OR exit('No direct script access allowed');
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Exception Error</title>
    <style type="text/css">
        body {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            margin: 0;
            background-color: #f0f0f0;
            font-family: Arial, sans-serif;
            color: #333;
        }
        .error-container {
            text-align: left;
            background-color: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            max-width: 800px;
            width: 100%;
        }
        .error-container h4 {
            font-size: 1.5em;
            color: #E13300;
            margin: 0 0 10px 0;
        }
        .error-container p {
            font-size: 1em;
            margin: 10px 0;
        }
        .error-container p code {
            font-family: Consolas, Monaco, Courier New, Courier, monospace;
            font-size: 0.9em;
            color: #d63384;
            background-color: #f8f9fa;
            padding: 2px 4px;
            border-radius: 4px;
        }
        .error-container .backtrace {
            margin-top: 20px;
            border-top: 1px solid #ddd;
            padding-top: 10px;
        }
        .error-container .backtrace p {
            margin: 0;
        }
        .error-container .backtrace .trace-item {
            margin: 10px 0;
            padding-left: 10px;
            border-left: 2px solid #ddd;
        }
        .error-container .backtrace .trace-item code {
            color: #003399;
        }
    </style>
</head>
<body>
    <div class="error-container">
        <h4>An uncaught Exception was encountered</h4>
        <p><strong>Type:</strong> <code><?php echo get_class($exception); ?></code></p>
        <p><strong>Message:</strong> <code><?php echo $message; ?></code></p>
        <p><strong>Filename:</strong> <code><?php echo $exception->getFile(); ?></code></p>
        <p><strong>Line Number:</strong> <code><?php echo $exception->getLine(); ?></code></p>

        <?php if (defined('SHOW_DEBUG_BACKTRACE') && SHOW_DEBUG_BACKTRACE === TRUE): ?>
            <div class="backtrace">
                <p><strong>Backtrace:</strong></p>
                <?php foreach ($exception->getTrace() as $error): ?>
                    <?php if (isset($error['file']) && strpos($error['file'], realpath(BASEPATH)) !== 0): ?>
                        <div class="trace-item">
                            <p><strong>File:</strong> <code><?php echo $error['file']; ?></code></p>
                            <p><strong>Line:</strong> <code><?php echo $error['line']; ?></code></p>
                            <p><strong>Function:</strong> <code><?php echo $error['function']; ?></code></p>
                        </div>
                    <?php endif?>
                <?php endforeach?>
            </div>
        <?php endif?>
    </div>
</body>
</html>
