<!-- Begin Page Content -->
<div id="general" class="container-fluid">
    <div class="row">
        <div class="col-lg-12">
            <div class="row">
                <div class="col-md-12 mb-4">
                    <div class="card border-0 shadow-sm h-100">
                        <div class="card-body">
                            <h2 class="card-title text-primary"><i class="fas fa-fw fa-folder"></i> <?=$title;?></h2>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-12">

            <?=form_error('menu', '<div class="alert alert-danger" role="alert">', '</div>');?>
            <?php foreach ($this->session->flashdata() as $key => $val): ?>
                <div class="alert <?=$key;?>" role="alert">
                    <?=$val;?>
                </div>
            <?php endforeach;?>

            <a href="" class="btn btn-primary mb-3 float-right" data-toggle="modal" data-target="#newMenuModal">
                <i class="fas fa-plus"></i> <?=$lang['Add New Menu'];?>
            </a>

            <table class="table table-hover table-striped">
                <thead class="thead-primary">
                    <tr>
                        <th scope="col" style="width: 5%;"><i class="fas fa-hashtag"></i></th>
                        <th scope="col" style="width: 15%;"><i class="fas fa-icons"></i> <?=$lang['Icon'];?></th>
                        <th scope="col" style="width: 45%;"><i class="fas fa-bars"></i> <?=$lang['Menu'];?></th>
                        <th scope="col" style="width: 35%;"><i class="fas fa-cogs"></i> <?=$lang['Action'];?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php $i = 1;
foreach ($menuManage as $mm): ?>
                        <tr>
                            <th scope="row"><?=$i++;?></th>
                            <td><i class="<?=$mm['icon'];?>"></i></td>
                            <td class="text-capitalize"><?=$mm['menu'];?></td>
                            <td>
                                <a href="<?=base_url('menu/edit/?type=menu&id=' . $mm['id']);?>" class="btn btn-primary btn-sm">
                                    <i class="fas fa-edit"></i> <?=$lang['Edit'];?>
                                </a>
                                <a href="<?=base_url('menu/delete/?type=menu&id=' . $mm['id']);?>" class="btn btn-danger btn-sm">
                                    <i class="fas fa-trash"></i> <?=$lang['Delete'];?>
                                </a>
                            </td>
                        </tr>
                    <?php endforeach;?>
                </tbody>
            </table>
        </div>
    </div>

</div>
<!-- /.container-fluid -->

</div>
<!-- End of Main Content -->

<!-- Modal -->
<div class="modal fade" id="newMenuModal" tabindex="-1" aria-labelledby="newMenuModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="newMenuModalLabel">
                    <i class="fas fa-plus"></i> <?=$lang['Add New Menu'];?>
                </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="<?=base_url('menu');?>" method="POST">
                    <!-- Campo oculto para el token CSRF -->
                    <input type="hidden" name="<?=$this->security->get_csrf_token_name();?>" value="<?=$this->security->get_csrf_hash();?>" />
                    <div class="form-group">
                        <input type="text" class="form-control" id="menu" name="menu" placeholder="Menu name">
                    </div>
                    <div class="form-group">
                        <label for="icon"><?=$lang['Icon'];?></label>
                        <div class="input-group">
                            <input type="text" class="form-control" id="icon" name="icon" placeholder="Icon class">
                            <div class="input-group-append">
                                <button type="button" class="btn btn-secondary" data-toggle="modal" data-target="#iconModal">Select Icon</button>
                            </div>
                        </div>
                    </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal"><?=$lang['Close'];?></button>
                <button type="submit" class="btn btn-primary"><?=$lang['Add'];?></button>
            </div>
            </form>
        </div>
    </div>
</div>

<!-- Modal for icon selection -->
<div class="modal fade" id="iconModal" tabindex="-1" aria-labelledby="iconModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="iconModalLabel">Select an Icon</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="icon-picker">
                    <?php
$icons = [
	'fas fa-user', 'fas fa-users', 'fas fa-bars', 'fas fa-code', 'fas fa-cog', 'fas fa-edit', 'fas fa-trash', 'fas fa-home', 'fas fa-info-circle',
	'fas fa-chart-line', 'fas fa-chart-pie', 'fas fa-envelope', 'fas fa-file-alt', 'fas fa-folder', 'fas fa-globe', 'fas fa-heart', 'fas fa-key',
	'fas fa-lock', 'fas fa-sign-out-alt', 'fas fa-tasks', 'fas fa-th', 'fas fa-times', 'fas fa-tools', 'fas fa-unlock-alt',
	'fas fa-bell', 'fas fa-book', 'fas fa-bookmark', 'fas fa-calendar', 'fas fa-camera', 'fas fa-check', 'fas fa-check-circle', 'fas fa-clipboard',
	'fas fa-cloud', 'fas fa-coffee', 'fas fa-comments', 'fas fa-database', 'fas fa-desktop', 'fas fa-download', 'fas fa-edit', 'fas fa-exclamation-circle',
	'fas fa-external-link-alt', 'fas fa-eye', 'fas fa-file', 'fas fa-film', 'fas fa-filter', 'fas fa-fire', 'fas fa-flag', 'fas fa-folder-open',
	'fas fa-gift', 'fas fa-handshake', 'fas fa-headphones', 'fas fa-history', 'fas fa-home', 'fas fa-image', 'fas fa-industry', 'fas fa-info',
	'fas fa-laptop', 'fas fa-lightbulb', 'fas fa-map-marker-alt', 'fas fa-mobile', 'fas fa-money-bill-wave', 'fas fa-music', 'fas fa-paper-plane', 'fas fa-pause',
	'fas fa-phone', 'fas fa-play', 'fas fa-print', 'fas fa-question', 'fas fa-recycle', 'fas fa-redo', 'fas fa-reply', 'fas fa-retweet',
	'fas fa-save', 'fas fa-search', 'fas fa-share', 'fas fa-shield-alt', 'fas fa-shopping-cart', 'fas fa-sign-in-alt', 'fas fa-sitemap', 'fas fa-sliders-h',
	'fas fa-spinner', 'fas fa-star', 'fas fa-sync', 'fas fa-table', 'fas fa-tag', 'fas fa-tags', 'fas fa-thumbs-up', 'fas fa-times-circle',
	'fas fa-trash-alt', 'fas fa-upload', 'fas fa-user-circle', 'fas fa-video', 'fas fa-volume-up', 'fas fa-wallet', 'fas fa-wifi', 'fas fa-wrench',
];
foreach ($icons as $icon) {
	echo '<i class="' . $icon . '" data-icon="' . $icon . '" style="font-size:24px; margin:10px; cursor:pointer;"></i>';
}
?>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    document.querySelectorAll('.icon-picker i').forEach(function(icon) {
        icon.addEventListener('click', function() {
            document.querySelectorAll('.icon-picker i').forEach(function(icon) {
                icon.style.color = '';
            });
            this.style.color = '#007bff';
            document.getElementById('icon').value = this.getAttribute('data-icon');
            $('#iconModal').modal('hide');
        });
    });
</script>
