<?php
// Verifica que las variables estén definidas
$lang_code = isset($lang_code) ? $lang_code : 'en';

// Cargar los modelos necesarios
$this->load->model('Seo_model');
$this->load->model('Config_model');

// Obtener valores de configuración
$seo = $this->Seo_model->get_seo_settings();
$font_family = $this->Config_model->get_config_value('font_family')['value'];
$custom_font = $this->Config_model->get_config_value('custom_font')['value'];

// Verificar y definir la variable $seo si no está definida (en caso de que el modelo falle)
$seo = isset($seo) ? $seo : array(
	'description' => 'Default description',
	'author' => 'Default author',
	'keywords' => 'default, keywords',
	'og_title' => 'Default OG Title',
	'og_description' => 'Default OG Description',
	'og_image' => base_url('assets/default_image.jpg'),
);

// Verificar y definir la variable $title si no está definida
//$title = isset($title) ? $title : 'Default Title';
?>

<!DOCTYPE html>
<html lang="<?php echo $lang_code; ?>" dir="ltr">


<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <meta name="description" content="<?php echo $seo['description']; ?>">
    <meta name="author" content="<?php echo $seo['author']; ?>">
    <meta name="keywords" content="<?php echo $seo['keywords']; ?>">
    <meta name="robots" content="index, follow">
    <meta property="og:title" content="<?php echo $seo['og_title']; ?>">
    <meta property="og:description" content="<?php echo $seo['og_description']; ?>">
    <meta property="og:type" content="website">
    <meta property="og:url" content="<?php echo base_url(); ?>">
    <meta property="og:image" content="<?php echo $seo['og_image']; ?>">

    <link rel="canonical" href="<?php echo base_url(uri_string()); ?>">

  <link rel="apple-touch-icon" sizes="192x192" href="<?php echo base_url('assets/img/icon-192x192.png'); ?>">
<link rel="apple-touch-icon" sizes="512x512" href="<?php echo base_url('assets/img/icon-512x512.png'); ?>">


    <title>
        <?=$title;?>
    </title>



<!--  <link href="<?=base_url('assets/');?>vendor/bootstrap4/bootstrap.min.css"  rel="stylesheet" type="text/css">  -->
   <link rel="manifest" href="<?php echo base_url('assets/manifest.json'); ?>">

<!-- Animate css 3external -->
    <link href="<?=base_url('assets/');?>vendor/animate/animate.min.css" rel="stylesheet" type="text/css">


<!-- sweetalert2 css 3external -->
    <link href="<?=base_url('assets/');?>vendor/sweetalert/sweetalert2.min.css" rel="stylesheet" type="text/css">

<!-- DataTables CSS -->
<link rel="stylesheet" type="text/css" href="<?=base_url('assets/vendor/datatables/dataTables.bootstrap4.min.css');?>">



    <!-- Custom fonts for this template-->
    <link href="<?=base_url('assets/');?>vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">


 <?php if ($custom_font): ?>
        <style>
            @font-face {
                font-family: 'CustomFont';
                src: url('<?=base_url($custom_font);?>') format('truetype');
            }
            body {
                font-family: 'CustomFont', sans-serif;

            }

        </style>
    <?php elseif ($font_family): ?>

 <link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>



               <link href="https://fonts.googleapis.com/css2?family=<?=$font_family;?>&display=swap" rel="stylesheet">
        <style>
            body {
                font-family: '<?=$font_family;?>', sans-serif !important;

            }
        </style>
    <?php endif;?>



    <!-- Custom styles for this template-->


     <link href="<?=base_url('assets/');?>css/sb-admin-2.css" rel="stylesheet">





</head>

<!-- <body class="bg-gradient-primary"> -->
    <?php
// $config = $this->Config_model->get_config_value('gradiente2');
// $activar_gradiente2 = isset($config['value']) ? $config['value'] : '';

$config_keys = ['gradiente2'];
$config = [];

foreach ($config_keys as $key) {
	$config[$key] = $this->Config_model->get_config_value($key);
}

// Asignar las configuraciones a variables
$activar_gradiente2 = isset($config['gradiente2']['value']) ? $config['gradiente2']['value'] : '';
?>

<body  style="<?php echo $activar_gradiente2; ?>">


<!--NO MODIFICAR ESTOS COMENTARIOS O MARCDORES -->
<script>

    //PWA_SCRIPT_START//
//para PWA
        if ('serviceWorker' in navigator) {
            window.addEventListener('load', () => {
                navigator.serviceWorker.register('<?php echo base_url('assets/service-worker.js'); ?>')
                    .then((registration) => {
                        console.log('Service Worker registered with scope:', registration.scope);
                    }).catch((error) => {
                        console.log('Service Worker registration failed:', error);
                    });
            });
        }

        let deferredPrompt;

        window.addEventListener('beforeinstallprompt', (e) => {
            e.preventDefault();
            deferredPrompt = e;
            showInstallPromotion(); // Función personalizada para mostrar el botón o promoción de instalación
        });

function showInstallPromotion() {
    const installButton = document.createElement('div');
    installButton.innerHTML = `
        <button class="fab">
            <i class="fas fa-download"></i>
        </button>
    `;
    installButton.className = 'install-prompt';

    // Style the button
    const style = document.createElement('style');
    style.innerHTML = `
        .install-prompt {
            position: fixed;
            bottom: 70px;
            right: 15px;
            z-index: 1000;
        }
        .fab {
            background-color: #76C2AF;
            color: white;
            border: none;
            border-radius: 50%;
            padding: 15px;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            cursor: pointer;
            transition: background-color 0.3s;
        }
        .fab:hover {
            background-color: #45a049;
        }
        .fab i {
            font-size: 24px;
        }
    `;
    document.head.appendChild(style);

    installButton.addEventListener('click', () => {
        installButton.style.display = 'none';
        deferredPrompt.prompt();
        deferredPrompt.userChoice.then((choiceResult) => {
            if (choiceResult.outcome === 'accepted') {
                console.log('User accepted the A2HS prompt');
            } else {
                console.log('User dismissed the A2HS prompt');
            }
            deferredPrompt = null;
        });
    });

    document.body.appendChild(installButton);
}
//PWA_SCRIPT_END//


    </script>


