<?php
// Verifica que las variables estén definidas
$lang_code = isset($lang_code) ? $lang_code : 'en';

// Cargar los modelos necesarios
$this->load->model('Seo_model');
$this->load->model('Config_model');

// Obtener valores de configuración
$seo = $this->Seo_model->get_seo_settings();
$font_family = $this->Config_model->get_config_value('font_family')['value'];
$custom_font = $this->Config_model->get_config_value('custom_font')['value'];

// Verificar y definir la variable $seo si no está definida (en caso de que el modelo falle)
$seo = isset($seo) ? $seo : array(
	'description' => 'Default description',
	'author' => 'Default author',
	'keywords' => 'default, keywords',
	'og_title' => 'Default OG Title',
	'og_description' => 'Default OG Description',
	'og_image' => base_url('assets/default_image.jpg'),
);

// Verificar y definir la variable $title si no está definida
//$title = isset($title) ? $title : 'Default Title';
?>

<!DOCTYPE html>
<html lang="<?php echo $lang_code; ?>" dir="ltr">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="<?php echo $seo['description']; ?>">
    <meta name="author" content="<?php echo $seo['author']; ?>">
    <meta name="keywords" content="<?php echo $seo['keywords']; ?>">
    <meta name="robots" content="index, follow">
    <meta property="og:title" content="<?php echo $seo['og_title']; ?>">
    <meta property="og:description" content="<?php echo $seo['og_description']; ?>">
    <meta property="og:type" content="website">
    <meta property="og:url" content="<?php echo base_url(); ?>">
    <meta property="og:image" content="<?php echo $seo['og_image']; ?>">

<link rel="canonical" href="<?php echo base_url(uri_string()); ?>">

    <title><?=$title;?></title>
   <link rel="manifest" href="<?php echo base_url('assets/manifest.json'); ?>">
<!-- Animate css 3external -->
    <link href="<?=base_url('assets/');?>vendor/animate/animate.min.css" rel="stylesheet" type="text/css">

<!-- sweetalert2 css 3external -->
    <link href="<?=base_url('assets/');?>vendor/sweetalert/sweetalert2.min.css" rel="stylesheet" type="text/css">

    <!-- Custom fonts for this template-->
    <link href="<?=base_url('assets/');?>vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">



 <?php if ($custom_font): ?>
        <style>
            @font-face {
                font-family: 'CustomFont';
                src: url('<?=base_url($custom_font);?>') format('truetype');
            }
            body {
                font-family: 'CustomFont', sans-serif;

            }

        </style>
    <?php elseif ($font_family): ?>

 <link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>



               <link href="https://fonts.googleapis.com/css2?family=<?=$font_family;?>&display=swap" rel="stylesheet">
        <style>
            body {
                font-family: '<?=$font_family;?>', sans-serif !important;

            }
        </style>
    <?php endif;?>

 <!--    <link href="https://fonts.googleapis.com/css2?family=Oswald" rel="stylesheet"> -->


    <!-- Custom styles for this template-->
    <link href="<?=base_url('assets/');?>css/sb-admin-2.css" rel="stylesheet">

   <link rel="stylesheet" href="<?=base_url('assets');?>/css/mystyle.css">






</head>
<body id="page-top">
    <!-- Page Wrapper -->
    <div id="wrapper">


