<!-- Begin Page Content -->
<div id="general" class="container-fluid">
    <div class="row">
        <div class="col-lg-10">
            <div class="row">
                <div class="col-md-12 mb-4">
                    <div class="card border-0 shadow-sm h-100">
                        <div class="card-body">
                            <h2 class="card-title text-primary"><i class="fas fa-fw fa-user-edit"></i> <?=$title;?></h2>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php if ($this->session->flashdata('message')): ?>
        <div class="row">
            <div class="col-lg-8">
                <div class="alert alert-danger" role="alert"><?=$this->session->flashdata('message');?></div>
            </div>
        </div>
    <?php endif;?>

    <div class="row">
        <div class="col-lg-8">

            <?php echo form_open_multipart('user/edit'); ?>
            <div class="form-group row">
                <label for="email" class="col-sm-2 col-form-label"><?=$this->lang->line('Email');?></label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" id="email" name="email" value="<?=$user['email'];?>" readonly>
                </div>
            </div>
            <div class="form-group row">
                <label for="name" class="col-sm-2 col-form-label"><?=$this->lang->line('Full_Name');?></label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" id="name" name="name" value="<?=$user['name'];?>">
                    <?=form_error('name', '<small class="text-danger pl-3">', '</small>');?>
                </div>
            </div>
            <div class="form-group row">
                <label for="timezone" class="col-sm-2 col-form-label"><?=$this->lang->line('profile_timezone');?></label>
                <div class="col-sm-10">
                    <select class="form-control" id="timezone" name="timezone">
                        <?php foreach (timezone_identifiers_list() as $tz): ?>
                            <option value="<?=$tz?>" <?=$user['timezone'] == $tz ? 'selected' : ''?>><?=$tz?></option>
                        <?php endforeach;?>
                    </select>
                </div>
            </div>

            <!-- Añadir la sección para cambiar el idioma -->
            <div class="form-group row">
                <label for="language" class="col-sm-2 col-form-label"><?=$this->lang->line('Language:');?></label>
                <div class="col-sm-10">
                    <select class="form-control" id="language" name="language">
                        <?php foreach ($language_directory as $friendly_name => $lang_code): ?>
                            <option value="<?=$friendly_name;?>" <?=$user['language'] == $friendly_name ? 'selected' : '';?>>
                                <?=ucfirst($friendly_name);?>
                            </option>
                        <?php endforeach;?>
                    </select>
                </div>
            </div>

            <div class="form-group row">
                <div class="col-sm-2"><?=$this->lang->line('Picture');?></div>
                <div class="col-sm-10">
                    <div class="row">
                        <div class="col-sm-3">
                            <img src="<?=base_url('assets/img/profile/') . $user['image'];?>" class="img-thumbnail border-0">
                        </div>
                        <div class="col-sm-9">
                            <div class="custom-file">
                                <input type="file" class="custom-file-input" id="image" name="image">
                                <label class="custom-file-label" for="image"><?=$this->lang->line('Choose_file');?></label>
                            </div>
                        </div>
                    </div>
                    <div class="form-check mt-3">
                        <input type="checkbox" class="form-check-input" id="deletePic" name="deletePic" value="1">
                        <label class="form-check-label" for="deletePic"><?=$this->lang->line('Delete_Current_Picture');?></label>
                    </div>
                </div>
            </div>
            <div class="form-group row justify-content-end">
                <div class="col-sm-10">
                    <button type="submit" class="btn btn-primary"><?=$this->lang->line('Save Changes');?></button>
                    <button type="button" class="btn btn-danger float-right" id="deleteAccountBtn"><?=$this->lang->line('Delete_Account');?></button>
                </div>
            </div>
            </form>

        </div>
    </div>

</div>
<!-- /.container-fluid -->

</div>
<!-- End of Main Content -->

<script>
    document.getElementById('deleteAccountBtn').addEventListener('click', function() {
        Swal.fire({
            title: '<?=$this->lang->line('Delete_Confirmation');?>',
            text: '<?=$this->lang->line('Delete_Warning');?>',
            icon: 'warning',
            showCancelButton: true,
            confirmButtonText: '<?=$this->lang->line('Delete_Confirm_Button');?>',
            cancelButtonText: '<?=$this->lang->line('Cancel');?>'
        }).then((result) => {
            if (result.isConfirmed) {
                window.location.href = '<?=base_url('user/delete_account');?>';
            }
        });
    });
</script>
