<div class="row">
    <div class="col-lg-10 mx-auto">
        <div class="card border-0 shadow-sm">
            <div class="card-body">
                <h3 class="card-title text-secondary"><i class="fas fa-video"></i> Video Examples</h3>
                <div class="video-container">
                    <?php foreach ($videos as $video): ?>
                        <div class="mb-4">
                            <h4 class="video-title"><?php echo $video['title']; ?></h4>
                            <div class="embed-responsive embed-responsive-16by9 position-relative" style="padding-bottom: 56.25%; height: 0;">
                                <img class="video-cover" src="https://loginbasicoemo.com/assets/img/portada.jpg"
                                     style="width: 100%; height: 100%; position: absolute; top: 0; left: 0; cursor: pointer;"
                                     alt="Video Cover">
                                <div class="video-wrapper" style="display:none; position: absolute; top: 0; left: 0; width: 100%; height: 100%;">
                                    <iframe class="embed-responsive-item" src="" allowfullscreen style="width: 100%; height: 100%; border: 0;"></iframe>
                                </div>
                            </div>
                        </div>
                    <?php endforeach;?>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    document.addEventListener('DOMContentLoaded', function() {
        const videos = <?php echo json_encode($videos); ?>;
        const videoCovers = document.querySelectorAll('.video-cover');

        videoCovers.forEach((cover, index) => {
            cover.addEventListener('click', function() {
                const videoWrapper = cover.nextElementSibling;
                const iframe = videoWrapper.querySelector('iframe');

                iframe.src = videos[index].url + "&autoplay=1"; // Cargar y reproducir el video
                videoWrapper.style.display = 'block'; // Mostrar el iframe
                cover.style.display = 'none'; // Ocultar la imagen de portada
            });
        });
    });
</script>
