<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);
$db_config_path = '../application/config/database.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST' && $_POST) {
	require_once 'includes/taskCoreClass.php';
	require_once 'includes/databaseLibrary.php';

	$core = new Core();
	$database = new Database();

	// Validar campos
	if ($core->checkEmpty($_POST)) {
		// Intentar conexión a la base de datos
		$connection_error = $database->test_connection($_POST);
		if ($connection_error !== true) {
			$message = $core->show_message('error', "Could not connect to the database: $connection_error");
		} else if (($db_error = $database->create_database($_POST)) !== true) {
			$message = $core->show_message('error', "The database could not be created: $db_error");
		} else if (($table_error = $database->create_tables($_POST)) !== true) {
			$message = $core->show_message('error', "The tables could not be created: $table_error");
		} else if (!$core->checkFile()) {
			$message = $core->show_message('error', "File application/config/database.php is empty or not writable.");
		} else if (!$core->write_db_config($_POST)) {
			$message = $core->show_message('error', "The database configuration file could not be written. Please set permissions for application/config/database.php to 777.");
		} else if (!$core->write_config($_POST)) {
			$message = $core->show_message('error', "The config.php configuration file could not be written. Please set permissions for application/config/config.php to 777.");
		} else {
			$update_language_error = $database->update_user_language($_POST);
			if ($update_language_error !== true) {
				$message = $core->show_message('error', "The user language could not be updated: $update_language_error");
			} else {
				$message = ''; // Success
			}
		}
	} else {
		$message = $core->show_message('error', 'The host, username, password, database name, URL, and language are required.');
	}

	echo $message;
}
?>
